Class List Method List File List

# Class: Haml::Filters::ScssRailsTemplate

Inherits:
  SassRailsTemplate
  - Object
  - Sass::Rails::SassTemplate
  - SassRailsTemplate
  - Haml::Filters::ScssRailsTemplate
  show all
Defined in:
  lib/haml/sass_rails_filter.rb

## Overview

This is an extension of Sass::Rails’s SassTemplate class that allows Rails’s asset helpers to be used inside a Haml SCSS filter.

## Instance Method Summary (collapse)

- - syntax

### Methods inherited from SassRailsTemplate

#render, #sass_options

## Instance Method Details

### - syntax

    23
    24
    25

    # File 'lib/haml/sass_rails_filter.rb', line 23

    def syntax
      :scss
    end